org.apache.ignite.configuration

## Class CollectionConfiguration

- java.lang.Object
- - org.apache.ignite.configuration.CollectionConfiguration

    public class CollectionConfiguration
    extends Object

Configuration for Ignite collections.

### Constructor Summary

Constructors
Constructor and Description
`CollectionConfiguration()`

### Method Summary

Methods
`String` `getCacheName()`
`boolean` `isCollocated()`
`void` `setCacheName(String cacheName)`
`void` `setCollocated(boolean collocated)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CollectionConfiguration

    public CollectionConfiguration()

### Method Detail

#### isCollocated

    public boolean isCollocated()

Returns:
  `True` if all items within the same collection will be collocated on the same node.

#### setCollocated

    public void setCollocated(boolean collocated)

Parameters:
  `collocated` - If `true` then all items within the same collection will be collocated on the same node. Otherwise elements of the same set maybe be cached on different nodes. This parameter works only collections stored in `CacheMode.PARTITIONED` cache.

#### getCacheName

    public String getCacheName()

Returns:
  Cache name.

#### setCacheName

    public void setCacheName(String cacheName)

Parameters:
  `cacheName` - Cache name.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015